VSTGUI: CGradient Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
CGradient Class Reference
New classes » Version 4.0

Gradient Object [new in 4.0]. More...

`#include <cgradient.h>`

Inheritance diagram for CGradient:

## Public Member Functions
| CGradient (PlatformGradientPtr &&platformGradient)
| ~CGradient () noexcept override
Public Member Functions inherited from ReferenceCounted< std::atomic< int32_t > >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Member Functions
static CGradient * | create (const GradientColorStopMap &colorStopMap)
static CGradient * | create (double color1Start, double color2Start, const CColor &color1, const CColor &color2)

## Member Access
PlatformGradientPtr | platformGradient
void | addColorStop (double start, const CColor &color)
void | addColorStop (const GradientColorStop &colorStop)
const GradientColorStopMap & | getColorStops () const
const PlatformGradientPtr & | getPlatformGradient () const

## Detailed Description

Gradient Object [new in 4.0].

## Constructor & Destructor Documentation

## ◆ CGradient()

CGradient | ( | PlatformGradientPtr && | platformGradient | ) |

## ◆ ~CGradient()

~CGradient | ( |  | ) |
| overridedefaultnoexcept

## Member Function Documentation

## ◆ addColorStop() [1/2]

void addColorStop | ( | const GradientColorStop & | colorStop | ) |

## ◆ addColorStop() [2/2]

void addColorStop | ( | double | start,
|  | const CColor & | color )

## ◆ create() [1/2]

CGradient * create | ( | const GradientColorStopMap & | colorStopMap | ) |
| static

## ◆ create() [2/2]

CGradient * create | ( | double | color1Start,
|  | double | color2Start,
|  | const CColor & | color1,
|  | const CColor & | color2 )
| static

## ◆ getColorStops()

const GradientColorStopMap & getColorStops | ( |  | ) | const

## ◆ getPlatformGradient()

const PlatformGradientPtr & getPlatformGradient | ( |  | ) | const

## Member Data Documentation

## ◆ platformGradient

PlatformGradientPtr platformGradient
| protected

The documentation for this class was generated from the following files:

- cgradient.h
- cgradient.cpp